KTimezones Class Reference

`#include <ktimezones.h>`

## Public Types

typedef QMap< QString, KTimezone * > | ZoneMap

## Public Member Functions

const KTimezone * | local ()
const KTimezone * | zone (const QString &name)
const ZoneMap | allZones ()
void | add (KTimezone *zone)

## Detailed Description

The KTimezones class models a timezone database.

It supports system timezones, and also has support for private timezone entries.

Since
  3.5

Author
  S.R.Haque srhaq.nosp@m.ue@i.nosp@m.ee.or.nosp@m.g.

Definition at line 296 of file ktimezones.h.

## Member Function Documentation

void KTimezones::add | ( | KTimezone * | zone | ) |

Add user-defined timezone to database.

Definition at line 355 of file ktimezones.cpp.

const KTimezones::ZoneMap KTimezones::allZones | ( |  | ) |

Return timezone database.

Returns
  known timezones.

Definition at line 360 of file ktimezones.cpp.

const KTimezone * KTimezones::local | ( |  | ) |

Returns the local timezone.

The idea of this routine is to provide a robust lookup of the local timezone.

The problem is that on Unix systems, there are a variety of mechanisms for setting this information, and no real way of getting it. For example, if you set your timezone to "Europe/London", then the tzname[] maintained by tzset() typically returns { "GMT", "BST" }. The point of this routine is to actually return "Europe/London" (or rather, the corresponding KTimezone).

Returns
  local timezone. If necessary, we will use a series of heuristics which end by returning UTC. We will never return NULL.

Definition at line 480 of file ktimezones.cpp.

const KTimezone * KTimezones::zone | ( | const QString & | name | ) |

Returns the given timezone.

Parameters

  name | Name of timezone. Empty is equivalent to UTC.

Returns
  named timezone, NULL on error.

Definition at line 622 of file ktimezones.cpp.

The documentation for this class was generated from the following files:

- ktimezones.h
- ktimezones.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys